<persistence xmlns="http://java.sun.com/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="com.ibtp.kontor" >
		<provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>com.ibtp.kontor.comics.entity.ArtistEntity</class>
        <class>com.ibtp.kontor.comics.entity.ComicEntity</class>
        <class>com.ibtp.kontor.comics.entity.IssueEntity</class>
        <class>com.ibtp.kontor.comics.entity.StoryArcEntity</class>
        <class>com.ibtp.kontor.comics.entity.VolumeEntity</class>
        <class>com.ibtp.kontor.comics.entity.PublisherEntity</class>
        <class>com.ibtp.kontor.library.entity.AuthorEntity</class>
        <class>com.ibtp.kontor.library.entity.ArticleEntity</class>
        <class>com.ibtp.kontor.library.entity.BookEntity</class>
        <class>com.ibtp.kontor.library.entity.FileEntity</class>
        <class>com.ibtp.kontor.library.entity.TitleEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.SportEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.TeamEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.PositionEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.PlayerEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.ManufacturerEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.BaseSetEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.InsertEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.ParallelSetEntity</class>
        <class>com.ibtp.kontor.tradingcards.entity.SportCardEntity</class>
        <properties>
            <property name="javax.persistence.jdbc.driver" value="org.hsqldb.jdbcDriver"/>
            <property name="javax.persistence.jdbc.user" value="sa"/>
            <property name="javax.persistence.jdbc.password" value=""/>
            <property name="javax.persistence.jdbc.url" value="jdbc:hsqldb:hsql://localhost:2345/kontor;shutdown=true;hsqldb.write_delay=false"/>
            <property name="hibernate.dialect" value="org.hibernate.dialect.HSQLDialect"/>
            <property name="hibernate.show_sql" value="true"/>
            <property name="hibernate.max_fetch_depth" value="3"/>
            <property name="hibernate.hbm2ddl.auto" value="update"/>
            <property name="hsqldb.write_delay" value="false"/>
        </properties>
    </persistence-unit>
</persistence>
